Bug 418511 - doc license (OPL) is not using a free-enough version
doc license (OPL) is not using a free-enough version
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-users-docs (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
/usr/share/doc/system-config-users-<v...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 12:54 EST by Karsten Wade
Modified: 2009-06-10 10:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 10:52:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Wade 2007-12-10 12:54:03 EST
In Fedora 7 and 8 (and earlier) versions, system-config-users ships with
documentation that is under the Open Publication License (OPL) 1.0.  This
license usage calls out two optional clauses of the OPL that make the content
not freely modifiable or distributable.  This usage is a remnant from the Red
Hat ownership of the package when all docs were under that style of OPL; this is
no longer the case, and Fedora uses the OPL *only* without the optional clauses.

Below are two texts.  (A) shows the license as how it currently appears in the
package.  (B) shows how it should appear.  We may also want to update the
copyright notice, although if the content hasn't changed at all since then,
perhaps not.

BTW, one benefit of this change is that Fedora Docs can then use the content for
the Fedora Administration Guide, and help maintain the upstream version so we
can draw from it downstream into our doc.

You may also want to update the entire legalnotice file, since we no longer are
required to call out all those individual trademarks in that way.  Here is an
example of the legalnotice is constructed now:

http://docs.fedoraproject.org/release-notes/f8/en_US/sn-legalnotice.html

If you want to attach a copy of the XML file to this bug report, I can do the
update and submit a patch.

(A)  Copyright © 2003 by Red Hat, Inc. This material may be distributed only
subject to the terms and conditions set forth in the Open Publication License,
V1.0 or later (the latest version is presently available at
http://www.opencontent.org/openpub/).

Distribution of substantively modified versions of this document is prohibited
without the explicit permission of the copyright holder.

Distribution of the work or derivative of the work in any standard (paper) book
form for commercial purposes is prohibited unless prior permission is obtained
from the copyright holder.

(B)
 Copyright © 2003 by Red Hat, Inc. This material may be distributed only subject
to the terms and conditions set forth in the Open Publication License, V1.0 or
later (the latest version is presently available at
http://www.opencontent.org/openpub/).
Comment 1 Bug Zapper 2008-05-14 00:09:34 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 19:16:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Nils Philippsen 2009-06-10 10:52:55 EDT
Fixed in F-11 with system-config-users-docs-1.0.6-1.fc11.

Note You need to log in before you can comment on or make changes to this bug.